## com.lowagie.bc.asn1
Class BERInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.lowagie.bc.asn1.DERInputStream
                  com.lowagie.bc.asn1.BERInputStream

All Implemented Interfaces:
  DERTags

public class BERInputStream
extends DERInputStream

Field Summary
`private DERObject` `END_OF_STREAM`

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from class java.io.InputStream
``

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BERInputStream(InputStream is)`

Method Summary
`private BERConstructedOctetString` `buildConstructedOctetString()`
`private byte[]` `readIndefiniteLengthFully()` read a string of bytes representing an indefinite length object.
`DERObject` `readObject()`

Methods inherited from class com.lowagie.bc.asn1.DERInputStream
`buildObject, readFully, readLength`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END_OF_STREAM

    private DERObject END_OF_STREAM

Constructor Detail

### BERInputStream

    public BERInputStream(InputStream is)

Method Detail

### readIndefiniteLengthFully

    private byte[] readIndefiniteLengthFully()
                                      throws IOException

  read a string of bytes representing an indefinite length object.

  Throws:
    `IOException`

### buildConstructedOctetString

    private BERConstructedOctetString buildConstructedOctetString()
                                                           throws IOException

  Throws:
    `IOException`

### readObject

    public DERObject readObject()
                         throws IOException

  Overrides:
    `readObject` in class `DERInputStream`
  Throws:
    `IOException`